Bug 232605 - with kernel-2.6.20-1.2925.fc6 Intel Pro/Wireless 2200BG doesn't work
with kernel-2.6.20-1.2925.fc6 Intel Pro/Wireless 2200BG doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-16 08:27 EDT by Oded Arbel
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:21:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-03-16 08:27:47 EDT
Description of problem:
After booting to kernel 2.6.20 2925, the ipw2200 driver doesn't load properly.
It reports the following errors in the system log:
Mar 16 13:03:24 x-23 kernel: ipw2200: Detected Intel PRO/Wireless 2200BG Network
Connection
Mar 16 13:03:24 x-23 kernel: ipw2200: Unable to load ucode: -62
Mar 16 13:03:24 x-23 kernel: ipw2200: Unable to load firmware: -62
Mar 16 13:03:24 x-23 kernel: ipw2200: failed to register network device
Mar 16 13:03:24 x-23 kernel: ACPI: PCI interrupt for device 0000:04:02.0 disabled
Mar 16 13:03:24 x-23 kernel: ipw2200: probe of 0000:04:02.0 failed with error -5


Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2925.fc6

How reproducible:
Always

Steps to Reproduce:
1. On an ipw2200 equipped computer, start kernel 2.9.20 9295
2. Try to connect to a wireless network
  
Actual results:
The wireless network interface is not shown using iputils and no wireless
networks can be detected

Expected results:
Wireless network should work

Additional info:
I'm using an IBM Thinkpad T43 with centrino.
Comment 1 Chuck Ebbert 2007-03-16 13:49:44 EDT
Please try increasing the firmware timeout value:

  echo 100 >/sys/class/firmware/timeout

Comment 2 Chuck Ebbert 2007-03-19 14:13:47 EDT
Does increasing the timeout work? If so please close the bug.
Comment 3 Bug Zapper 2008-04-04 02:33:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:21:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.